Bug 189827 - Review Request: perl-PBS - Perl binding for the Portable Batch System client library
Review Request: perl-PBS - Perl binding for the Portable Batch System client ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-24 18:05 EDT by Garrick Staples
Modified: 2010-07-23 17:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-25 16:52:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Garrick Staples 2006-04-24 18:05:58 EDT
Spec URL: http://www-rcf.usc.edu/~garrick/perl-PBS.spec
SRPM URL: http://www-rcf.usc.edu/~garrick/perl-PBS-0.31-1.src.rpm
Description: This is a Perl binding for the Portable Batch System client library (as from TORQUE or OpenPBS).  This allows you to stat the server, nodes, or jobs, submit jobs, alter jobs, etc.

Specifically, the ifl, rpp, and rm APIs are implemented here.
Comment 1 Jason Tibbitts 2006-04-25 16:34:24 EDT
Issues:

Please use the full URL in the Source tag whenever possible.  If you do this,
spectool can grab the upstream sources straight from the 'net.  Since there's
nothing else wrong with this package, I'll go ahead and approve and you can fix
it when you check in.

Review:
* package meets naming and packaging guidelines.
X specfile is properly named, is cleanly written and uses macros consistently,
but Source0: does not refer to the full URL of the source file.
* license field matches the actual license.
* license is open source-compatible and both Artistic and GPL texts are included
in the package.
* source files match upstream:
   ab776b32945db7832acfeab5fd5cfbb6  perl-PBS-0.31.tar.gz
   ab776b32945db7832acfeab5fd5cfbb6  perl-PBS-0.31.tar.gz-srpm
* BuildRequires are proper.
* package builds in mock (development, i386 and x86_64).
* rpmlint is silent.
* final provides and requires are sane.
O shared libraries are present, but they are internal to Perl so there is no
reason to run ldconfig.
* package is not relocatable.
* owns the directory it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED (but please fix the Source0 URL)
Comment 2 Garrick Staples 2006-04-25 16:47:57 EDT
Thanks!  I've added it to CVS with a full Source0 URL.
Comment 3 Steve Traylen 2010-07-22 05:00:10 EDT
Package Change Request
======================
Package Name: perl-PBS
New Branches: EL-4 EL-5 EL-6
Owners: stevetraylen
Comment 4 Kevin Fenzi 2010-07-23 17:22:48 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.